#3094 SELINUX_getpeercon failed [-1][Unknown error -1].
Closed: Fixed None Opened 5 years ago by smenon.

Steps:

Ensure SELINUX is disabled on the host
Install ipa-server
ensure sssd debug_level = 10
Check the sssd_pac.log file

Actual Result
"sssd_pac.log:(Thu Jul 14 14:52:16 2016) [sssd[pac]] [get_client_cred] (0x0020): SELINUX_getpeercon failed [-1][Unknown error -1].


We should add a bit more explanation to the error message, at least that it is expected if SELinux is disabeled and maybe change the level as well and make is less severe. Additionally sss_strerror() should try to translate errno and not ret which is -1 in this case.

Fabiano agreed he would fix the error message. Also, moving to 1.14.1 now (but if we decide to do another 1.14.x release, I'm totally fine with moving this ticket to 1.14.2, it's not terribly urgent)

milestone: NEEDS_TRIAGE => SSSD 1.14.1
owner: somebody => fidencio

Fields changed

rhbz: => 0

resolution: => fixed
status: new => closed

Metadata Update from @smenon:
- Issue assigned to fidencio
- Issue set to the milestone: SSSD 1.14.1

4 years ago

Metadata Update from @jhrozek:
- Custom field rhbz adjusted to https://bugzilla.redhat.com/show_bug.cgi?id=1439951 (was: 0)

4 years ago

Metadata Update from @jhrozek:
- Custom field rhbz adjusted to https://bugzilla.redhat.com/show_bug.cgi?id=1439951 (was: 0)

4 years ago

SSSD is moving from Pagure to Github. This means that new issues and pull requests
will be accepted only in SSSD's github repository.

This issue has been cloned to Github and is available here:
- https://github.com/SSSD/sssd/issues/4127

If you want to receive further updates on the issue, please navigate to the github issue
and click on subscribe button.

Thank you for understanding. We apologize for all inconvenience.

Login to comment on this ticket.

Metadata